1

Command:

sudo apt-get install libboost1.50-all-dev

Result:

Error: Could not find any package by globe and regex libboost1.50-all-dev
Error: Unable to locate package libboost1.50-all-dev
  • It's strange, I can see the libboost1.50-all-dev package in the raspbian repo. Can you install any other packages? – Dmitry Grigoryev Feb 6 at 15:16
  • 1
    @DmitryGrigoryev libboost1.50-x is probably Jessie. Looking with apt policy I can only see 1.58 and later. – Dirk Feb 6 at 15:51
1

Please check your Raspbian version because libboost1.50 is only available in Rapsbian Jessie.

You can check YOUR version with: lsb_release -a

Check the available libboost versions with: apt-cache search libboost

then install the latest version with: sudo apt-get install libboost1.62-*

  • Why do you need to add that repo? I thought that was a Ubuntu repo, not Debian/Raspbian. – Dirk Feb 6 at 15:49
  • @Dirk, You'r completely right that is for Ubuntu. Multitasking is not my favorite, I will edit the answer. – Arrabida Feb 6 at 19:19

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.